Subject: Re: [mpls] mpls-rt review of draft-zheng-mpls-lsp-ping-yang-cfg

From: Greg Mirsky <[email-masked]>
Date: Mon, 3 Dec 2018 18:18:29 -0800

Hi Rakesh,
thank you for the review, detailed questions and the most helpful
suggestions. Please find my answers in-line and tagged GIM>>.

On Fri, Nov 30, 2018 at 2:25 PM Rakesh Gandhi (rgandhi) <[email-masked]>
wrote:

> Hi Loa, Authors,
>
> I have reviewed this document. Please find my comments below:
>
> The document is for lsp-ping, but do authors plan to include LSP
> traceroute support in future?
>
GIM>> Very good question, thank you. At this point the model allows to
realize the traceroute functionality by issuing a series of consecutive LSP
pings while incrementing TTL. Suggestions are always welcome.

>
> Section 6:
> =======
> RSVP tunnel uses name (string). Please see TE model.
>        :(rsvp)
>        |  |  +--ro tunnel-interface?      uint32
>
GIM>> It is a union of uint32 and string types. Will remove uint32 and the
union as unnecessary.

>
> control-info -> may be rename to control-parameters, also relevant text.
> This is similar to scheduling-parameters.
>
GIM>> Thank you for the suggestion. Will do.

>
> Can we add in the description the unit of the time for the following?
>        min-rtt
>        max-rtt
>        average-rtt
>
GIM>>  The theoretical resolution of the NTP time format used in LSP ping
is 233 picoseconds. I think that expressing the RTT measurement in
microseconds (usec) will be sufficiently accurate. What do you think?

> Should TTL be uint8?

       rw ttl?                   uint32
GIM>> Agree.

>
> Any thoughts on other FECs from RFC 8029 (e.g. LDP, Nil-FEC)?
>
GIM>> Yes, we will work on adding other FECs defined in RFC 8029.

> Thanks,
> Rakesh